petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscHMapTIterDel

Remove the (key,value) referenced by an iterator from the hash table

### Synopsis

    #include <petsc/private/hashmap.h>
    PetscErrorCode PetscHMapTIterDel(PetscHMapT ht,PetscHashIter iter)

### Input Parameters

| ht | - The hash table
| iter | - The iterator

### Keywords

hash table, map, iterator, del

### See Also

PetscHMapTFind(), PetscHMapTQueryDel(), PetscHMapTDel()

### Level

developer

### Location

include/petsc/private/hashmap.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages